Bug 1909237 (CVE-2020-35479) - CVE-2020-35479 mediawiki: potential XSS via the month messages such as MediaWiki:january through MediaWiki:december outputting Block Logs
Summary: CVE-2020-35479 mediawiki: potential XSS via the month messages such as MediaW...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2020-35479
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1909238 1910209
Blocks: 1909242
TreeView+ depends on / blocked
 
Reported: 2020-12-18 17:12 UTC by Guilherme de Almeida Suckevicz
Modified: 2021-10-28 02:59 UTC (History)
11 users (show)

Fixed In Version: mediawiki 1.31.11, mediawiki 1.35.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-10-28 02:59:13 UTC


Attachments (Terms of Use)

Description Guilherme de Almeida Suckevicz 2020-12-18 17:12:51 UTC
MediaWiki before 1.35.1 allows XSS via BlockLogFormatter.php. Language::translateBlockExpiry itself does not escape in all code paths. For example, the return of Language::userTimeAndDate is is always unsafe for HTML in a month value. This affects MediaWiki 1.12.0 and later.

References:
https://phabricator.wikimedia.org/T268938
https://lists.wikimedia.org/pipermail/mediawiki-announce/2020-December/000268.html

Comment 1 Guilherme de Almeida Suckevicz 2020-12-18 17:13:07 UTC
Created mediawiki tracking bugs for this issue:

Affects: fedora-all [bug 1909238]


Note You need to log in before you can comment on or make changes to this bug.